AILIVE文档
API 参考接口列表

读取播出动态

读取正在播出的内容:播出队列、正在说的话,以及上报的评论被怎样处理。只包含已允许播出的内容,不含回复草稿。使用实时通道的客户端会在 `ready` 和 `feed.*` 事件里收到同样的内容。

GET
/v1/room/feed

请求头参数

authorization?string|null

响应正文

Successful Response

application/json
  1. response

What airs, for clients to render as they like: only what is cleared to go on air.

game?|

The game being played, if any

handled*array<>

The latest 50 reported comments handled

now*|

What is being said; null while quiet

pk?|

The PK round in progress, if any

queue*array<>

The playback queue in order, at most 20

请求示例
curl -X GET 'https://api.ailive.studio/v1/room/feed' \  -H 'Authorization: Bearer <ACCESS_TOKEN>'
响应示例
{  "game": {    "answer": "string",    "board": [      {        "points": 0,        "viewer": "string"      }    ],    "endsAt": "2019-08-24T14:15:22Z",    "found": 0,    "game": "riddle",    "goal": 0,    "high": 0,    "hints": [      "string"    ],    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "low": 0,    "options": [      "string"    ],    "phase": "intro",    "prompt": "string",    "round": 0,    "rounds": 0,    "votes": [      0    ]  },  "handled": [    {      "at": "2019-08-24T14:15:22Z",      "platformEventId": "string",      "state": "picked"    }  ],  "now": {    "comment": {      "platformEventId": "string",      "text": "string",      "viewerName": "string"    },    "commentOnly": true,    "durationMs": 0,    "endMs": 0,    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "index": 0,    "kind": "reply",    "lyrics": [      {        "endMs": 0,        "startMs": 0,        "text": "string",        "words": [          {            "endMs": 0,            "startMs": 0,            "text": "string"          }        ]      }    ],    "motionPresetId": "string",    "scene": "opening",    "sentence": "string",    "startMs": 0,    "startedAt": "2019-08-24T14:15:22Z",    "title": "string"  },  "pk": {    "audio": {      "required": true    },    "endsAt": "2019-08-24T14:15:22Z",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "opponentName": "string",    "phase": "active",    "replyToOpponent": true,    "startedAt": "2019-08-24T14:15:22Z"  },  "queue": [    {      "comment": {        "platformEventId": "string",        "text": "string",        "viewerName": "string"      },      "durationMs": 0,      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "reply",      "motionPresetId": "string",      "position": 0,      "scene": "opening",      "state": "preparing",      "text": "string",      "title": "string"    }  ]}